using System;
using System.Data;
using System.Data.SqlClient;
using System.Collections.Generic;
using System.Text;

namespace PopulateTypedDS
{
   class Program
   {
      static void Main(string[] args)
      {
         OrderDataSet orders = new OrderDataSet();
         using (SqlConnection conn = new SqlConnection(
           "data source=localhost; initial catalog=SampleDB; Integrated Security=SSPI;"))
         {
            conn.Open();
            SqlCommand orderCmd = conn.CreateCommand();
            orderCmd.CommandText = "SELECT * FROM Orders";
            SqlDataAdapter da = new SqlDataAdapter(orderCmd);
            da.Fill(orders, "Orders");
         }

      }
   }
}
